#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		oname		jack
%global		__python	/usr/bin/python3
%global		pyt3ver		%(%{__python} --version | cut -d ' ' -f2 |cut -d '.' -f1-2)

%global		gname	%{oname}user
%global		pagroup		pulse-rt

#-----------------------------------------------------------------------------
Name		:	jack2
Version		:	1.9.22
Release		:	17.2.0.rel%{?dist}
Summary		:	The Jack Audio Connection Kit

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://github.com/jackaudio/jack2/releases

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz
Patch0		:	%{name}-%{version}-py312.patch

#-----------------------------------------------------------------------------
#Mandatory BuildRequires
BuildRequires	:	alsa-lib
BuildRequires	:	dbus-devel
BuildRequires	:	doxygen
BuildRequires	:	expat-devel
BuildRequires	:	gcc-c++
BuildRequires	:	libsamplerate
BuildRequires	:	libsndfile
BuildRequires	:	opus-devel
BuildRequires	:	python3
BuildRequires	:	waf

Requires	:	shadow
#-----------------------------------------------------------------------------
%description
JACK is a low-latency audio server, written primarily for the Linux operating
system. It can connect a number of different applications to an audio device, as
well as allowing them to share audio between themselves. Its clients can run in
their own processes (i.e. as a normal application), or can they can run within a
JACK server (i.e. a "plugin").
 
JACK is different from other audio server efforts in that it has been designed
from the ground up to be suitable for professional audio work. This means that
it focuses on two key areas: synchronous execution of all clients, and low
latency operation.

#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%doc ChangeLog.rst README.rst README_NETJACK2
%doc %{oname}-script.pa
%config(noreplace) %{_sysconfdir}/security/limits.d/*.conf
%{_bindir}/jackd
%{_libdir}/lib%{oname}*.so*
%{_libdir}/%{oname}/%{oname}_*.so
%{_libdir}/%{oname}/netmanager.so
%{_libdir}/%{oname}/profiler.so
%{_libdir}/%{oname}/audioadapter.so
%{_libdir}/%{oname}/netadapter.so

#-----------------------------------------------------------------------------
%pre
getent group %gname > /dev/null || groupadd -r %gname

#============================================================================
%package		dbus
Summary		:	Jack D-Bus launcher

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}
#-----------------------------------------------------------------------------
%description		dbus
Launcher to start Jack through D-Bus.
 
#-----------------------------------------------------------------------------
%files			dbus
%defattr(-,root,root,-)
%{_bindir}/%{oname}dbus
%{_bindir}/%{oname}_control

%{_datadir}/dbus-1/services/org.%{oname}audio.service

#============================================================================
%package		devel
Summary		:	Header files for Jack

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
Header files for the Jack Audio Connection Kit.

%files			devel
%defattr(-,root,root,-)
%doc reference/html/
%{_includedir}/%{oname}/*.h
%{_libdir}/lib%{oname}.so
%{_libdir}/lib%{oname}net.so
%{_libdir}/lib{%oname}server.so
%{_libdir}/pkgconfig/{%oname}.pc
 
#============================================================================
%prep
%setup -q 
%patch -P 0 -p1

tar xf %{SOURCE1}

#-----------------------------------------------------------------------------
%build


#export PREFIX=%{_prefix}
./waf	 configure					\
	--prefix=%{_prefix}				\
	--mandir=%{_mandir}/man1			\
	--libdir=%{_libdir}				\
	--alsa						\
	--clients 256					\
	--db						\
	--dbus						\
	--classic					\
	--doxygen					\
	--ports-per-application=2048			\
	--systemd=no					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__python} ./waf build					\
	%{?_smp_mflags}					\
	-v

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}


%{__python} ./waf					\
	--destdir=%{buildroot}				\
	install

# For compatibility with jack1
#%{__mv}							\
#	%{buildroot}%{_bindir}/jack_rec			\
#	%{buildroot}%{_bindir}/jackrec

%{__mv} %{buildroot}%{_datadir}/jack-audio-connection-kit/reference .	

# install our limits to the /etc/security/limits.d
%{__mkdir_p}						\
	%{buildroot}%{_sysconfdir}/security/limits.d
%{__cp}							\
	%{name}-ok_addon/%{oname}-limit.conf		\
	%{buildroot}%{_sysconfdir}/security/limits.d/95-jack.conf

sed -i							\
  -e 's,@gname@,%gname,g; s,@pagroup@,%pagroup,g;'	\
  %{buildroot}%{_sysconfdir}/security/limits.d/95-jack.conf


# install pulseaudio script for jack (as documentation part)
install -p -m644					\
	%{name}-ok_addon/%{oname}-script.pa		\
	.

#removing manual needed on classic mode only
%{__rm} %{buildroot}%{_mandir}/man1/%{oname}d.1

#-----------------------------------------------------------------------------
%changelog
